PHP Manual
Prev |  | Next

# SDO_DataObject::getType

(no version information, might be only in CVS)

SDO_DataObject::getType -- Get the type of a data object

## Description

array SDO_DataObject::getType ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Return an array containing the type information for an SDO_DataObject. The first element contains the namespace URI string and the second contains the type name string.

## Parameters

None.

## Return Values

An array containing the namespace URI string and the type name string for the data object.

## Examples

Example 1. A SDO_DataObject::getType() example For example, if the SDO_DataObject were of type 'CompanyType' from the namespace 'CompanyNS', then getType() would return the equivalent to array('CompanyNS', 'CompanyType'):
`<?php $do_type = $company_do->getType(); echo "Namespace: $do_type[0], Type Name: $do_type[1]"; ?>`
The above example will output:
    Namespace: CompanyNS, Type Name: CompanyType

Prev | Home | Next
SDO_DataObject::getSequence | Up | SDO_List::insert